{
    attributes = (
        {
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FDIP_KEY; }; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            definition = "toScolFormationDiplome.fdipAbreviation||decode(nvl(fspnLibelle,'#'),'#','',' - '||fspnLibelle)"; 
            externalType = VARCHAR2; 
            name = fdipDiplome; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = FSPN_ABREVIATION; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FSPN_CODE1; }; 
            name = fspnAbreviation; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FSPN_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FSPN_CODE1; }; 
            name = fspnLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (fspnKey); 
    className = EOGenericRecord; 
    classProperties = (
        fspnKey, 
        fdipCode, 
        fspnLibelle, 
        toScolFormationDiplome, 
        fspnAbreviation, 
        fdipDiplome
    ); 
    externalName = SCOL_FORMATION_SPECIALISATION; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationSpecialisation; 
    primaryKeyAttributes = (fspnKey); 
    relationships = (
        {
            destination = ScolFormationDiplome; 
            internalInfo = {_nameInObjectStore = scolFormationDiplome; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdipCode; sourceAttribute = fdipCode; }); 
            name = toScolFormationDiplome; 
        }
    ); 
}
